<div class="hero min-h-screen bg-base-200">
  <div class="text-center">
    <div class="max-w-full">
      <form [formGroup]="form" (ngSubmit)="onSubmit()">
        <div class="card w-72 bg-base-100 shadow-xl">
          <div class="card-body">
            <h2 class="card-title">ลงทะเบียน</h2>

            @if (isError) {
            <div role="alert" class="alert alert-error">
              <span>ไม่พบข้อมูลในระบบ</span>
            </div>
            }
            <!-- Check patient info -->
            @if (!info) {
            <label class="form-control w-full max-w-xs">
              <div class="label">
                <span class="label-text">กรุณาระบุ HN 7 หลัก</span>
              </div>
              <input
                type="text"
                maxlength="7"
                placeholder="000344"
                formControlName="hn"
                class="input input-bordered w-full max-w-xs"
              />
              <div class="label">
                <span class="label-text-alt"> </span>
              </div>
            </label>
            } @else {
            <label class="form-control w-full max-w-xs">
              <div class="label">
                <span class="label-text">ชื่อผู้รับบริการ</span>
              </div>
              <input
                type="text"
                readonly
                [value]="info.first_name"
                class="input input-bordered w-full max-w-xs"
              />
              <div class="label">
                <span class="label-text-alt"> </span>
              </div>
            </label>

            <label class="form-control w-full max-w-xs">
              <div class="label">
                <span class="label-text">แผนกรับบริการ</span>
              </div>
              <select
                class="select select-bordered"
                formControlName="departmentId"
              >
                <option disabled selected>เลือกแผนก</option>
                @for (item of departments; track $index) {
                <option [value]="item.department_id">
                  {{ item.department_name }}
                </option>
                }
              </select>
            </label>
            }

            <!-- Loading -->
            @if (loading) {
            <div class="justify-center space-y-2">
              <span class="loading loading-spinner text-primary"></span>
            </div>
            }
            <!-- End loading -->

            <div class="card-actions justify-center">
              @if (!info) {
              <button
                type="submit"
                class="btn btn-primary"
                [disabled]="!form.valid || loading"
              >
                ตรวจสอบ
              </button>

              } @else {
              <div class="flex w-full">
                <div class="flex-grow">
                  <button class="btn btn-primary" (click)="onReset()">
                    เริ่มใหม่
                  </button>
                </div>
                <div class="flex-grow">
                  <button
                    class="btn btn-secondary"
                    [disabled]="!form.value.departmentId"
                    (click)="gotoViewer()"
                  >
                    ตรวจสอบคิว
                  </button>
                </div>
              </div>
              }
            </div>
          </div>
        </div>
      </form>
    </div>
  </div>
</div>
